commit 68b601e153bad50393797c92594678a2333ba65f
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Fri Feb 6 13:40:57 2026

    testsuite: forward extra arguments from $GCC_UNDER_TEST to gcc-ar
    
    gcc/testsuite/ChangeLog:
    
            * lib/lto.exp (lto-build-archive): Forward extra command line
            arguments from $GCC_UNDER_TEST to gcc-ar.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit c73831b61b506728d5fd3ac529a2012f2b1ceaeb)

diff --git a/gcc/testsuite/lib/lto.exp b/gcc/testsuite/lib/lto.exp
index 8c8b3aaafd1..fc8a0673cd0 100644
--- a/gcc/testsuite/lib/lto.exp
+++ b/gcc/testsuite/lib/lto.exp
@@ -337,6 +337,7 @@ proc lto-build-archive { testname objlist dest } {
 	} else {
 	    set ar_cmd [gcc-transform-out-of-tree gcc-ar]
 	}
+	set ar_cmd "$ar_cmd [lrange $GCC_UNDER_TEST 1 end]"
     } else {
         set ar_cmd $GCC_AR_UNDER_TEST
     }

